# Uses of Interface
org.opensaml.saml.saml2.core.Assertion

Packages that use Assertion
Package
Description
org.opensaml.saml.ext.saml2mdattr
Interfaces for SAML 2 Metadata Extension for Entity Attributes.
org.opensaml.saml.ext.saml2mdattr.impl
Implementation for SAML v2.0 Metadata Extension for Entity Attributes Version 1.0.
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.messaging
Interfaces and API classes related to networking and messaging APIs that support validating SAML 2 Assertions.
org.opensaml.saml.saml2.assertion.messaging.impl
Implementation classes related to networking and messaging APIs that support validating SAML 2 Assertions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing
org.opensaml.saml.saml2.wssecurity
Classes for SAML WS-Security.
org.opensaml.saml.saml2.wssecurity.messaging.impl
Implementation of SAML WS-Security message handler functionality.

## Uses of Assertion in org.opensaml.saml.ext.saml2mdattr

Methods in org.opensaml.saml.ext.saml2mdattr that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
EntityAttributes.`getAssertions()`
Gets the assertions about the entity.

## Uses of Assertion in org.opensaml.saml.ext.saml2mdattr.impl

Methods in org.opensaml.saml.ext.saml2mdattr.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
EntityAttributesImpl.`getAssertions()`
Gets the assertions about the entity.

## Uses of Assertion in org.opensaml.saml.saml2.assertion

Methods in org.opensaml.saml.saml2.assertion with parameters of type Assertion
Modifier and Type
Method
Description
`protected CriteriaSet`
SAML20AssertionValidator.`getSignatureValidationCriteriaSet(Assertion token, ValidationContext context)`
Get the criteria set that will be used in evaluating the Assertion signature via the supplied trust engine.
`protected SignaturePrevalidator`
SAML20AssertionValidator.`getSignatureValidationPrevalidator(Assertion token, ValidationContext context)`
Get the signature trust engine that will be used in evaluating the Assertion signature.
`protected SignatureTrustEngine`
SAML20AssertionValidator.`getSignatureValidationTrustEngine(Assertion token, ValidationContext context)`
Get the signature trust engine that will be used in evaluating the Assertion signature.
`protected void`
SAML20AssertionValidator.`log(Assertion assertion, ValidationContext context)`
Log the Assertion which is being validated, along with the supplied validation context parameters.
`protected ValidationResult`
SAML20AssertionValidator.`performSignatureValidation(Assertion token, ValidationContext context)`
Handle the actual signature validation.
`ValidationResult`
AssertionValidator.`validate(Assertion assertion, ValidationContext context)`
Validates the given assertion.
`ValidationResult`
ConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
SAML20AssertionValidator.`validate(Assertion assertion, ValidationContext context)`
Validate the supplied SAML 2 `Assertion`, using the parameters from the supplied `ValidationContext`.
`ValidationResult`
StatementValidator.`validate(Statement statement, Assertion assertion, ValidationContext context)`
Validates the given statement.
`ValidationResult`
SubjectConfirmationValidator.`validate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Confirms the `Subject` by means of the given `SubjectConfirmation`.
`protected ValidationResult`
SAML20AssertionValidator.`validateBasicData(Assertion assertion, ValidationContext context)`
Validate basic Assertion data, such as version, issuer and issue instant.
`protected ValidationResult`
SAML20AssertionValidator.`validateConditions(Assertion assertion, ValidationContext context)`
Validates the conditions on the assertion.
`protected ValidationResult`
SAML20AssertionValidator.`validateConditionsTimeBounds(Assertion assertion, ValidationContext context)`
Validates the NotBefore and NotOnOrAfter Conditions constraints on the assertion.
`protected ValidationResult`
SAML20AssertionValidator.`validateIssueInstant(Assertion assertion, ValidationContext context)`
Validates the Assertion IssueInstant.
`protected ValidationResult`
SAML20AssertionValidator.`validateIssuer(Assertion assertion, ValidationContext context)`
Validates the Assertion `Issuer`.
`protected ValidationResult`
SAML20AssertionValidator.`validateRequiredConditions(Assertion assertion, ValidationContext context)`
Validate that all conditions indicated to be required are present in the assertion.
`protected ValidationResult`
SAML20AssertionValidator.`validateSignature(Assertion token, ValidationContext context)`
Validates the signature of the assertion, if it is signed.
`protected ValidationResult`
SAML20AssertionValidator.`validateStatements(Assertion assertion, ValidationContext context)`
Validates the statements within the assertion.
`protected ValidationResult`
SAML20AssertionValidator.`validateSubjectConfirmation(Assertion assertion, ValidationContext context)`
Validates the subject confirmations of the assertion.
`protected ValidationResult`
SAML20AssertionValidator.`validateVersion(Assertion assertion, ValidationContext context)`
Validates that the assertion is a `SAMLVersion.VERSION_20` assertion.

## Uses of Assertion in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type Assertion
Modifier and Type
Method
Description
`static ValidationResult`
AssertionValidationSupport.`checkAddress(ValidationContext context, String address, String validAddressesParam, Assertion assertion, String description)`
Check an address from an assertion using valid values obtained from the validation context.
`protected abstract ValidationResult`
AbstractSubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected ValidationResult`
BearerSubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected ValidationResult`
HolderOfKeySubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected ValidationResult`
SenderVouchersSubjectConfirmationValidator.`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`protected String`
OneTimeUseConditionValidator.`getCacheValue(Assertion assertion)`
Get the string value which will be tracked in the cache for purposes of one-time use detection.
`protected Instant`
OneTimeUseConditionValidator.`getExpires(Assertion assertion, ValidationContext context)`
Get the one-time use expiration time for the assertion being evaluated.
`protected List<KeyInfo>`
HolderOfKeySubjectConfirmationValidator.`getSubjectConfirmationKeyInformation(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context)`
Extracts the `KeyInfo`s from the given subject confirmation data.
`ValidationResult`
AbstractSubjectConfirmationValidator.`validate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Confirms the `Subject` by means of the given `SubjectConfirmation`.
`ValidationResult`
AudienceRestrictionConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
AuthnStatementValidator.`validate(Statement statement, Assertion assertion, ValidationContext context)`
Validates the given statement.
`ValidationResult`
DelegationRestrictionConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
OneTimeUseConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`ValidationResult`
ProxyRestrictionConditionValidator.`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateAddress(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `Address` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AuthnStatementValidator.`validateAuthnContext(AuthnStatement authnStatement, Assertion assertion, ValidationContext context)`
Validate the `AuthnContext`.
`protected ValidationResult`
AuthnStatementValidator.`validateAuthnInstant(AuthnStatement authnStatement, Assertion assertion, ValidationContext context)`
Validate the authnInstant attribute of the `AuthnStatement`.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateInResponseTo(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `InResponseTo` value of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateNotBefore(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `NotBefore` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateNotOnOrAfter(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `NotOnOrAfter` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateRecipient(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `Recipient` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AuthnStatementValidator.`validateSubjectLocality(AuthnStatement authnStatement, Assertion assertion, ValidationContext context)`
Validate the `SubjectLocality`.

## Uses of Assertion in org.opensaml.saml.saml2.assertion.messaging

Fields in org.opensaml.saml.saml2.assertion.messaging declared as Assertion
Modifier and Type
Field
Description
`private Assertion`
AssertionValidationInput.`assertion`
The Assertion being evaluated.
Methods in org.opensaml.saml.saml2.assertion.messaging that return Assertion
Modifier and Type
Method
Description
`Assertion`
AssertionValidationInput.`getAssertion()`
Get the `Assertion` being evaluated.
Constructors in org.opensaml.saml.saml2.assertion.messaging with parameters of type Assertion
Modifier
Constructor
Description
``
`AssertionValidationInput(Assertion samlAssertion, InOutOperationContext context, AssertionValidationNetworkInformationSupplier networkInformation)`
Constructor.

## Uses of Assertion in org.opensaml.saml.saml2.assertion.messaging.impl

Fields in org.opensaml.saml.saml2.assertion.messaging.impl with type parameters of type Assertion
Modifier and Type
Field
Description
`private Function<Pair<InOutOperationContext,Assertion>,CriteriaSet>`
DefaultAssertionValidationContextBuilder.`signatureCriteriaSetFunction`
A function for resolving the signature validation CriteriaSet for a particular function.
Methods in org.opensaml.saml.saml2.assertion.messaging.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`Function<Pair<InOutOperationContext,Assertion>,CriteriaSet>`
DefaultAssertionValidationContextBuilder.`getSignatureCriteriaSetFunction()`
Get the function for resolving the signature validation CriteriaSet for a particular function.
Method parameters in org.opensaml.saml.saml2.assertion.messaging.impl with type arguments of type Assertion
Modifier and Type
Method
Description
`void`
DefaultAssertionValidationContextBuilder.`setSignatureCriteriaSetFunction(Function<Pair<InOutOperationContext,Assertion>,CriteriaSet> function)`
Set the function for resolving the signature validation CriteriaSet for a particular function.

## Uses of Assertion in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
Advice.`getAssertions()`
Gets the list of Assertions used as advice.
`List<Assertion>`
Evidence.`getAssertions()`
Gets the list of Assertions used as evidence.
`List<Assertion>`
Response.`getAssertions()`
Return the list of Assertion child elements.

## Uses of Assertion in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Assertion
Modifier and Type
Class
Description
`class`
`AssertionImpl`
A concrete implementation of `Assertion`.
Methods in org.opensaml.saml.saml2.core.impl that return Assertion
Modifier and Type
Method
Description
`Assertion`
AssertionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Assertion`
AssertionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
AdviceImpl.`getAssertions()`
Gets the list of Assertions used as advice.
`List<Assertion>`
EvidenceImpl.`getAssertions()`
Gets the list of Assertions used as evidence.
`List<Assertion>`
ResponseImpl.`getAssertions()`
Return the list of Assertion child elements.

## Uses of Assertion in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return Assertion
Modifier and Type
Method
Description
`Assertion`
Decrypter.`decrypt(EncryptedAssertion encryptedAssertion)`
Decrypt the specified EncryptedAssertion.
Methods in org.opensaml.saml.saml2.encryption with parameters of type Assertion
Modifier and Type
Method
Description
`EncryptedAssertion`
Encrypter.`encrypt(Assertion assertion)`
Encrypt the specified Assertion.
`EncryptedID`
Encrypter.`encryptAsID(Assertion assertion)`
Encrypt the specified Assertion, treating as an identifier and returning an EncryptedID.

## Uses of Assertion in org.opensaml.saml.saml2.profile

Methods in org.opensaml.saml.saml2.profile that return Assertion
Modifier and Type
Method
Description
`static Assertion`
SAML2ActionSupport.`addAssertionToResponse(AbstractProfileAction action, Response response, IdentifierGenerationStrategy idGenerator, String issuer)`
Constructs and adds a `Assertion` to the given `Response`.
`static Assertion`
SAML2ActionSupport.`buildAssertion(AbstractProfileAction action, IdentifierGenerationStrategy idGenerator, String issuer)`
Constructs an `Assertion` using the parameters supplied, with its issue instant set to the current time.
Methods in org.opensaml.saml.saml2.profile with parameters of type Assertion
Modifier and Type
Method
Description
`static Advice`
SAML2ActionSupport.`addAdviceToAssertion(AbstractProfileAction action, Assertion assertion)`
Creates and adds a `Advice` to a given `Assertion`.
`static Conditions`
SAML2ActionSupport.`addConditionsToAssertion(AbstractProfileAction action, Assertion assertion)`
Creates and adds a `Conditions` to a given `Assertion`.

## Uses of Assertion in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as Assertion
Modifier and Type
Field
Description
`private Assertion`
ValidateAssertions.AssertionValidationInput.`assertion`
Deprecated.
The Assertion being evaluated.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type Assertion
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,List<Assertion>>`
ValidateAssertions.`assertionResolver`
The resolver for the list of assertions to be validated.
`private List<Assertion>`
AddNameIDToSubjects.`assertions`
Response to modify.
`private List<Assertion>`
ValidateAssertions.`assertions`
The resolved assertions to be validated.
`private Function<ProfileRequestContext,List<Assertion>>`
AddNameIDToSubjects.`assertionsLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<Pair<ProfileRequestContext,Assertion>,SAML20AssertionValidator>`
ValidateAssertions.`assertionValidatorLookup`
The SAML 2.0 Assertion validator lookup function, may be null.
`private Function<Pair<ProfileRequestContext,Assertion>,CriteriaSet>`
DefaultAssertionValidationContextBuilder.`signatureCriteriaSetFunction`
Deprecated.
A function for resolving the signature validation CriteriaSet for a particular function.
Methods in org.opensaml.saml.saml2.profile.impl that return Assertion
Modifier and Type
Method
Description
`Assertion`
ValidateAssertions.AssertionValidationInput.`getAssertion()`
Deprecated.
Get the `Assertion` being evaluated.
`private Assertion`
DecryptAssertions.`processEncryptedAssertion(ProfileRequestContext profileRequestContext, EncryptedAssertion encAssert)`
Decrypt an `EncryptedAssertion` and return the result.
Methods in org.opensaml.saml.saml2.profile.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
AddNameIDToSubjects.AssertionStrategy.`apply(ProfileRequestContext input)`
`List<Assertion>`
ValidateAssertions.DefaultAssertionResolver.`apply(ProfileRequestContext profileContext)`
`Function<ProfileRequestContext,List<Assertion>>`
ValidateAssertions.`getAssertionResolver()`
Get the function which resolves the list of assertions to validate.
`Function<Pair<ProfileRequestContext,Assertion>,CriteriaSet>`
DefaultAssertionValidationContextBuilder.`getSignatureCriteriaSetFunction()`
Deprecated.
Get the function for resolving the signature validation CriteriaSet for a particular function.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type Assertion
Modifier and Type
Method
Description
`protected ValidationContext`
ValidateAssertions.`buildValidationContext(ProfileRequestContext profileContext, Assertion assertion)`
Build the Assertion ValidationContext.
`private Subject`
AddNameIDToSubjects.`getAssertionSubject(Assertion assertion)`
Get the subject to which the name identifier will be added.
`private Subject`
AddSubjectConfirmationToSubjects.`getAssertionSubject(Assertion assertion)`
Get the subject to which the confirmation will be added.
`private Subject`
CopyNameIDFromRequest.`getAssertionSubject(Assertion assertion)`
Get the subject to which the name identifier will be added.
`SAML20AssertionValidator`
ValidateAssertions.`getAssertionValidator(ProfileRequestContext profileRequestContext, Assertion assertion)`
Get the configured Assertion validator.
`private void`
DecryptAttributes.`processAssertion(ProfileRequestContext profileRequestContext, Assertion assertion)`
Decrypt any `EncryptedAttribute` found in an assertion and replace it with the result.
`private void`
DecryptNameIDs.`processAssertion(ProfileRequestContext profileRequestContext, Assertion assertion)`
Decrypt any `EncryptedID` found in an assertion and replace it with the result.
`private void`
EncryptNameIDs.`processAssertion(Assertion assertion)`
Decrypt any `EncryptedID` found in an assertion and replace it with the result.
`protected void`
ValidateAssertions.`processResult(ValidationContext validationContext, ValidationResult validationResult, Assertion assertion, ProfileRequestContext profileContext)`
Process the result of the assertion validation.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type Assertion
Modifier and Type
Method
Description
`void`
ValidateAssertions.`setAssertionResolver(Function<ProfileRequestContext,List<Assertion>> function)`
Set the function which resolves the list of assertions to validate.
`void`
AddNameIDToSubjects.`setAssertionsLookupStrategy(Function<ProfileRequestContext,List<Assertion>> strategy)`
Set the strategy used to locate the `Assertion`s to operate on.
`void`
ValidateAssertions.`setAssertionValidatorLookup(Function<Pair<ProfileRequestContext,Assertion>,SAML20AssertionValidator> function)`
Set the Assertion validator lookup function.
`void`
DefaultAssertionValidationContextBuilder.`setSignatureCriteriaSetFunction(Function<Pair<ProfileRequestContext,Assertion>,CriteriaSet> function)`
Deprecated.
Set the function for resolving the signature validation CriteriaSet for a particular function.
Constructors in org.opensaml.saml.saml2.profile.impl with parameters of type Assertion
Modifier
Constructor
Description
``
`AssertionValidationInput(ProfileRequestContext context, HttpServletRequest request, Assertion samlAssertion)`
Deprecated.
Constructor.

## Uses of Assertion in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Assertion
Modifier and Type
Method
Description
`static Assertion`
SAML2ActionTestingSupport.`buildAssertion()`
Builds an empty assertion.

## Uses of Assertion in org.opensaml.saml.saml2.wssecurity

Constructors in org.opensaml.saml.saml2.wssecurity with parameters of type Assertion
Modifier
Constructor
Description
``
`SAML20AssertionToken(Assertion token)`
Constructor.

## Uses of Assertion in org.opensaml.saml.saml2.wssecurity.messaging.impl

Fields in org.opensaml.saml.saml2.wssecurity.messaging.impl declared as Assertion
Modifier and Type
Field
Description
`private Assertion`
SAML20AssertionTokenValidationInput.`assertion`
The Assertion being evaluated.
Fields in org.opensaml.saml.saml2.wssecurity.messaging.impl with type parameters of type Assertion
Modifier and Type
Field
Description
`private Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator>`
WSSecuritySAML20AssertionTokenSecurityHandler.`assertionValidatorLookup`
The SAML 2.0 Assertion validator lookup function.
`private Function<Pair<MessageContext,Assertion>,CriteriaSet>`
DefaultSAML20AssertionValidationContextBuilder.`signatureCriteriaSetFunction`
A function for resolving the signature validation CriteriaSet for a particular function.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return Assertion
Modifier and Type
Method
Description
`Assertion`
SAML20AssertionTokenValidationInput.`getAssertion()`
Get the `Assertion` being evaluated.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator>`
WSSecuritySAML20AssertionTokenSecurityHandler.`getAssertionValidatorLookup()`
Get the Assertion validator lookup function.
`Function<Pair<MessageContext,Assertion>,CriteriaSet>`
DefaultSAML20AssertionValidationContextBuilder.`getSignatureCriteriaSetFunction()`
Get the function for resolving the signature validation CriteriaSet for a particular function.
`protected List<Assertion>`
WSSecuritySAML20AssertionTokenSecurityHandler.`resolveAssertions(MessageContext messageContext)`
Resolve the SAML 2.0 Assertions token from the SOAP envelope.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl with parameters of type Assertion
Modifier and Type
Method
Description
`protected ValidationContext`
WSSecuritySAML20AssertionTokenSecurityHandler.`buildValidationContext(MessageContext messageContext, Assertion assertion)`
Build the Assertion ValidationContext.
`SAML20AssertionValidator`
WSSecuritySAML20AssertionTokenSecurityHandler.`getAssertionValidator(MessageContext messageContext, Assertion assertion)`
Get the configured Assertion validator.
Method parameters in org.opensaml.saml.saml2.wssecurity.messaging.impl with type arguments of type Assertion
Modifier and Type
Method
Description
`void`
WSSecuritySAML20AssertionTokenSecurityHandler.`setAssertionValidatorLookup(Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator> function)`
Set the Assertion validator lookup function.
`void`
DefaultSAML20AssertionValidationContextBuilder.`setSignatureCriteriaSetFunction(Function<Pair<MessageContext,Assertion>,CriteriaSet> function)`
Set the function for resolving the signature validation CriteriaSet for a particular function.
Constructors in org.opensaml.saml.saml2.wssecurity.messaging.impl with parameters of type Assertion
Modifier
Constructor
Description
``
`SAML20AssertionTokenValidationInput(MessageContext context, HttpServletRequest request, Assertion samlAssertion)`
Constructor.